org.appng.xml.platform

## Class Authentication

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.NavigationItem
    - - org.appng.xml.platform.Authentication

- All Implemented Interfaces:
    Serializable

      public class Authentication
      extends NavigationItem
      implements Serializable

  A special navigation-item that represents an available authentication mechanism.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `index`

    - ### Fields inherited from class org.appng.xml.platform.NavigationItem

      `actionName, actionValue, application, hidden, icon, item, label, name, page, ref, selected, site, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Authentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIndex()` Set to 'index' to mark this authentication as the default.
    `void` | `setIndex(String value)` Sets the value of the index property.

    - ### Methods inherited from class org.appng.xml.platform.NavigationItem

      `getActionName, getActionValue, getApplication, getIcon, getItem, getLabel, getName, getPage, getRef, getSite, getType, isHidden, isSelected, setActionName, setActionValue, setApplication, setHidden, setIcon, setLabel, setName, setPage, setRef, setSelected, setSite, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### index

          protected String index

  - ### Constructor Detail

    - #### Authentication

          public Authentication()

  - ### Method Detail

    - #### getIndex

          public String getIndex()

      Set to 'index' to mark this authentication as the default.
      Returns:
        possible object is `String`

    - #### setIndex

          public void setIndex(String value)

      Sets the value of the index property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.